# Generated by Django 2.2 on 2019-06-07 13:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('queries', '0001_initial'),
        ('frontend', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SectionSequence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.Project')),
            ],
        ),
        migrations.CreateModel(
            name='Sequence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('times', models.IntegerField()),
                ('section', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sequences.SectionSequence')),
            ],
        ),
        migrations.CreateModel(
            name='SequenceStep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField()),
                ('query', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='queries.Query')),
                ('sequence', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sequences.Sequence')),
            ],
        ),
    ]
